Documents
List documents of a project
OAuth2 Bearer token authentication
The Project ID.
Search results are limited to 100 items. Specify page number to read more than the first page.
Lists Documents
Unauthorized
Forbidden
GET /v1/clients/projects/{project_id}/documents HTTP/1.1
Host: api.textmaster.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"documents": [
{
"language_from": "fr",
"language_to": "en",
"language_from_code": "fr-fr",
"language_to_code": "en-us",
"status": "waiting_assignment",
"skip_copyscape": false,
"title": "document_3",
"instructions": "Lorem ipsum dolor sit amet,...",
"word_count": 200,
"word_count_rule": 0,
"keywords_repeat_count": 1,
"deliver_work_as_file": false,
"custom_data": {},
"plagiarism_analysis": {},
"written_words": 0,
"type": "standard",
"id": "61698a9e8b81926d91c0e3a4",
"project_id": "61698a9e8b81926d91c0e3a3",
"callback": {},
"reference": "TR-99D-3815-00000",
"ctype": "translation",
"keyword_list": "foo, bar, baz",
"satisfaction": null,
"completion": 0,
"can_post_message_to_author": false,
"author_work": {},
"author_id": null,
"author_rating": 1,
"original_content": "foo bar",
"markup_in_content": false,
"created_at": {
"day": 15,
"month": 10,
"year": 2021,
"full": "2021-10-15 14:05:18 UTC"
},
"updated_at": {
"day": 15,
"month": 10,
"year": 2021,
"full": "2021-10-15 14:05:18 UTC"
},
"completed_at": null
}
],
"total_pages": 1,
"count": 1,
"page": 1,
"per_page": 20,
"previous_page": null,
"next_page": null
}Code samples
Filter documents of a project
OAuth2 Bearer token authentication
The Project ID.
Search results are limited to 100 items. Specify page number to read more than the first page.
URL encoded JSON selector composed of one or several criteria.
Comma separated order list
Filters Documents
Unauthorized
Forbidden
GET /v1/clients/projects/{project_id}/documents/filter HTTP/1.1
Host: api.textmaster.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"documents": [
{
"language_from": "fr",
"language_to": "en",
"language_from_code": "fr-fr",
"language_to_code": "en-us",
"status": "waiting_assignment",
"skip_copyscape": false,
"title": "document_2",
"instructions": "Lorem ipsum dolor sit amet,...",
"word_count": 200,
"word_count_rule": 0,
"keywords_repeat_count": 1,
"deliver_work_as_file": false,
"custom_data": {},
"plagiarism_analysis": {},
"written_words": 0,
"type": "standard",
"id": "61698a9c8b81926d91c0e32c",
"project_id": "61698a9c8b81926d91c0e32b",
"callback": {},
"reference": "TR-925-85279-00000",
"ctype": "translation",
"keyword_list": "foo, bar, baz",
"satisfaction": null,
"completion": 0,
"can_post_message_to_author": false,
"author_work": {},
"author_id": null,
"author_rating": 1,
"original_content": "foo bar",
"markup_in_content": false,
"created_at": {
"day": 15,
"month": 10,
"year": 2021,
"full": "2021-10-15 14:05:17 UTC"
},
"updated_at": {
"day": 15,
"month": 10,
"year": 2021,
"full": "2021-10-15 14:05:17 UTC"
},
"completed_at": null
}
],
"total_pages": 1,
"count": 1,
"page": 1,
"per_page": 20,
"previous_page": null,
"next_page": null
}Parameters
Code samples
Get a document
OAuth2 Bearer token authentication
The Project ID.
The Document ID.
Gets a Document
^[a-z]{2}(-[a-z]{2})?$^[a-z]{2}(-[a-z]{2})?$Unauthorized
Forbidden
GET /v1/clients/projects/{project_id}/documents/{document_id} HTTP/1.1
Host: api.textmaster.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"language_from": "fr",
"language_to": "en",
"language_from_code": "fr-fr",
"language_to_code": "en-us",
"status": "waiting_assignment",
"skip_copyscape": false,
"title": "document_8",
"instructions": "Lorem ipsum dolor sit amet, consectetur ...",
"word_count": 200,
"word_count_rule": 0,
"keywords_repeat_count": 1,
"deliver_work_as_file": false,
"custom_data": {},
"plagiarism_analysis": {},
"written_words": 0,
"type": "standard",
"id": "61698aa18b81926d91c0e4e4",
"project_id": "61698aa18b81926d91c0e4e3",
"callback": {},
"reference": "TR-9DD-51325-00000",
"ctype": "translation",
"keyword_list": "foo, bar, baz",
"satisfaction": null,
"completion": 0,
"can_post_message_to_author": false,
"author_work": {},
"author_id": null,
"author_rating": 1,
"original_content": "foo bar",
"markup_in_content": false,
"created_at": {
"day": 15,
"month": 10,
"year": 2021,
"full": "2021-10-15 14:05:21 UTC"
},
"updated_at": {
"day": 15,
"month": 10,
"year": 2021,
"full": "2021-10-15 14:05:21 UTC"
},
"completed_at": null
}Code samples
Create a document
Original Content
Markup in content
Providing content as a file
File uploadsCallbacks
OAuth2 Bearer token authentication
The Project ID.
Document Created
^[a-z]{2}(-[a-z]{2})?$^[a-z]{2}(-[a-z]{2})?$Unauthorized
Forbidden
POST /v1/clients/projects/{project_id}/documents HTTP/1.1
Host: api.textmaster.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 776
{
"document": {
"title": "text",
"type": "text",
"word_count": 1,
"word_count_rule": 0,
"perform_word_count": true,
"original_content": "text",
"markup_in_content": true,
"remote_file_url": "text",
"remote_file_help_url": "text",
"instructions": "text",
"keyword_list": "text",
"keywords_repeat_count": 1,
"callback": {
"in_creation": {
"url": "text"
},
"waiting_assignment": {
"url": "text"
},
"in_progress": {
"url": "text"
},
"incomplete": {
"url": "text"
},
"paused": {
"url": "text"
},
"quality_control": {
"url": "text"
},
"copyscape": {
"url": "text"
},
"counting_words": {
"url": "text"
},
"in_review": {
"url": "text"
},
"in_extra_review": {
"url": "text"
},
"completed": {
"url": "text"
},
"canceled": {
"url": "text"
},
"word_count_finished": {
"url": "text"
},
"complete": {
"url": "text"
},
"support_message_created": {
"url": "text"
}
},
"deliver_work_as_file": true
}
}{
"language_from": "fr",
"language_to": "en",
"language_from_code": "fr-fr",
"language_to_code": "en-us",
"status": "in_creation",
"skip_copyscape": false,
"title": "document_4",
"instructions": "Lorem ipsum dolor sit amet, consectetur ...",
"word_count": 200,
"word_count_rule": 0,
"keywords_repeat_count": 1,
"deliver_work_as_file": true,
"custom_data": {
"tags": [
"red",
"soft"
],
"external_client_id": 1234
},
"plagiarism_analysis": {},
"written_words": 0,
"type": "standard",
"id": "61698aa08b81926d91c0e471",
"project_id": "61698a9f8b81926d91c0e41b",
"callback": {
"support_message_created": {
"url": "https://callback.example.com/"
}
},
"reference": "TR-915-49834-91906",
"ctype": "translation",
"keyword_list": "foo, bar, baz",
"satisfaction": null,
"completion": 0,
"can_post_message_to_author": false,
"author_work": {},
"author_id": null,
"author_rating": 1,
"original_content": "test_content",
"markup_in_content": false,
"created_at": {
"day": 15,
"month": 10,
"year": 2021,
"full": "2021-10-15 14:05:20 UTC"
},
"updated_at": {
"day": 15,
"month": 10,
"year": 2021,
"full": "2021-10-15 14:05:20 UTC"
},
"completed_at": null
}Code samples
Create batch of documents
OAuth2 Bearer token authentication
The Project ID.
Documents Created
^[a-z]{2}(-[a-z]{2})?$^[a-z]{2}(-[a-z]{2})?$Unauthorized
Forbidden
POST /v1/clients/projects/{project_id}/batch/documents HTTP/1.1
Host: api.textmaster.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 779
{
"documents": [
{
"title": "text",
"type": "text",
"word_count": 1,
"word_count_rule": 0,
"perform_word_count": true,
"original_content": "text",
"markup_in_content": true,
"remote_file_url": "text",
"remote_file_help_url": "text",
"instructions": "text",
"keyword_list": "text",
"keywords_repeat_count": 1,
"callback": {
"in_creation": {
"url": "text"
},
"waiting_assignment": {
"url": "text"
},
"in_progress": {
"url": "text"
},
"incomplete": {
"url": "text"
},
"paused": {
"url": "text"
},
"quality_control": {
"url": "text"
},
"copyscape": {
"url": "text"
},
"counting_words": {
"url": "text"
},
"in_review": {
"url": "text"
},
"in_extra_review": {
"url": "text"
},
"completed": {
"url": "text"
},
"canceled": {
"url": "text"
},
"word_count_finished": {
"url": "text"
},
"complete": {
"url": "text"
},
"support_message_created": {
"url": "text"
}
},
"deliver_work_as_file": true
}
]
}[
{
"language_from": "fr",
"language_to": "en",
"language_from_code": "fr-fr",
"language_to_code": "en-us",
"status": "in_creation",
"skip_copyscape": false,
"title": "document_5",
"instructions": "Lorem ipsum dolor sit amet, consectetur ...",
"word_count": 200,
"word_count_rule": 0,
"keywords_repeat_count": 1,
"deliver_work_as_file": true,
"custom_data": {},
"plagiarism_analysis": {},
"written_words": 0,
"type": "standard",
"id": "61698aa18b81926d91c0e4d1",
"project_id": "61698aa08b81926d91c0e47b",
"callback": {},
"reference": "TR-975-38954-395263",
"ctype": "translation",
"keyword_list": "foo, bar, baz",
"satisfaction": null,
"completion": 0,
"can_post_message_to_author": false,
"author_work": {},
"author_id": null,
"author_rating": 1,
"original_content": "test_content",
"markup_in_content": false,
"created_at": {
"day": 15,
"month": 10,
"year": 2021,
"full": "2021-10-15 14:05:21 UTC"
},
"updated_at": {
"day": 15,
"month": 10,
"year": 2021,
"full": "2021-10-15 14:05:21 UTC"
},
"completed_at": null
},
{
"language_from": "fr",
"language_to": "en",
"language_from_code": "fr-fr",
"language_to_code": "en-us",
"status": "in_creation",
"skip_copyscape": false,
"title": "document_6",
"instructions": "Lorem ipsum dolor sit amet, consectetur ...",
"word_count": 200,
"word_count_rule": 0,
"keywords_repeat_count": 1,
"deliver_work_as_file": true,
"custom_data": {},
"plagiarism_analysis": {},
"written_words": 0,
"type": "standard",
"id": "61698aa18b81926d91c0e4d5",
"project_id": "61698aa08b81926d91c0e47b",
"callback": {},
"reference": "TR-975-38954-675554",
"ctype": "translation",
"keyword_list": "foo, bar, baz",
"satisfaction": null,
"completion": 0,
"can_post_message_to_author": false,
"author_work": {},
"author_id": null,
"author_rating": 1,
"original_content": "test_content",
"markup_in_content": false,
"created_at": {
"day": 15,
"month": 10,
"year": 2021,
"full": "2021-10-15 14:05:21 UTC"
},
"updated_at": {
"day": 15,
"month": 10,
"year": 2021,
"full": "2021-10-15 14:05:21 UTC"
},
"completed_at": null
},
{
"status": "in_creation",
"skip_copyscape": false,
"title": "document_7",
"instructions": "Lorem ipsum dolor sit amet, consectetur ...",
"word_count": 200,
"word_count_rule": 0,
"keywords_repeat_count": 1,
"deliver_work_as_file": true,
"custom_data": {},
"plagiarism_analysis": {},
"written_words": 0,
"type": "standard",
"id": "61698aa18b81926d91c0e4d9",
"project_id": "61698aa08b81926d91c0e47b",
"callback": {},
"reference": "TR-975-38954-557113",
"ctype": "translation",
"keyword_list": "foo, bar, baz",
"satisfaction": null,
"completion": 0,
"can_post_message_to_author": false,
"author_work": {},
"author_id": null,
"author_rating": 1,
"original_content": "test_content",
"markup_in_content": false,
"created_at": {
"day": 15,
"month": 10,
"year": 2021,
"full": "2021-10-15 14:05:21 UTC"
},
"updated_at": {
"day": 15,
"month": 10,
"year": 2021,
"full": "2021-10-15 14:05:21 UTC"
},
"completed_at": null
}
]Code samples
Get a document review URL
OAuth2 Bearer token authentication
The Project ID.
The Document ID.
The document keys to be reviewed
Gets a Review URL
Unauthorized
Forbidden
POST /v1/clients/projects/{project_id}/documents/{document_id}/review_url HTTP/1.1
Host: api.textmaster.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 17
{
"keys": [
"text"
]
}{
"url": "/authors/tasks/61698aa88b81926d91c0e71c?indexes=0-1"
}Code samples
Update a document
OAuth2 Bearer token authentication
The Project ID.
The Document ID.
Document Updated
^[a-z]{2}(-[a-z]{2})?$^[a-z]{2}(-[a-z]{2})?$Unauthorized
Forbidden
PUT /v1/clients/projects/{project_id}/documents/{document_id} HTTP/1.1
Host: api.textmaster.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 756
{
"document": {
"title": "text",
"type": "text",
"word_count": 1,
"perform_word_count": true,
"original_content": "text",
"markup_in_content": true,
"remote_file_url": "text",
"remote_file_help_url": "text",
"instructions": "text",
"keyword_list": "text",
"keywords_repeat_count": 1,
"callback": {
"in_creation": {
"url": "text"
},
"waiting_assignment": {
"url": "text"
},
"in_progress": {
"url": "text"
},
"incomplete": {
"url": "text"
},
"paused": {
"url": "text"
},
"quality_control": {
"url": "text"
},
"copyscape": {
"url": "text"
},
"counting_words": {
"url": "text"
},
"in_review": {
"url": "text"
},
"in_extra_review": {
"url": "text"
},
"completed": {
"url": "text"
},
"canceled": {
"url": "text"
},
"word_count_finished": {
"url": "text"
},
"complete": {
"url": "text"
},
"support_message_created": {
"url": "text"
}
},
"deliver_work_as_file": true
}
}{
"language_from": "fr",
"language_to": "en",
"language_from_code": "fr-fr",
"language_to_code": "en-us",
"status": "in_creation",
"skip_copyscape": false,
"title": "document_10",
"instructions": "456",
"word_count": 200,
"word_count_rule": 0,
"keywords_repeat_count": 1,
"deliver_work_as_file": false,
"custom_data": {},
"plagiarism_analysis": {},
"written_words": 0,
"type": "standard",
"id": "61698aa48b81926d91c0e5c5",
"project_id": "61698aa38b81926d91c0e55b",
"callback": {},
"reference": "TR-955-58851-684849",
"ctype": "proofreading",
"keyword_list": "foo, bar, baz",
"satisfaction": null,
"completion": 0,
"can_post_message_to_author": false,
"author_work": {},
"author_id": null,
"author_rating": 1,
"original_content": "123",
"markup_in_content": false,
"created_at": {
"day": 15,
"month": 10,
"year": 2021,
"full": "2021-10-15 14:05:24 UTC"
},
"updated_at": {
"day": 15,
"month": 10,
"year": 2021,
"full": "2021-10-15 14:05:24 UTC"
},
"completed_at": null
}Code samples
Complete a document
OAuth2 Bearer token authentication
The Project ID.
The Document ID.
Satisfaction level. * positive * neutral (default) * negative
Message addressed to the Author.
Document Completed
^[a-z]{2}(-[a-z]{2})?$^[a-z]{2}(-[a-z]{2})?$Unauthorized
Forbidden
PUT /v1/clients/projects/{project_id}/documents/{document_id}/complete HTTP/1.1
Host: api.textmaster.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 43
{
"satisfaction": "neutral",
"message": "text"
}{
"language_from": "fr",
"language_to": "en",
"language_from_code": "fr-fr",
"language_to_code": "en-us",
"status": "completed",
"skip_copyscape": false,
"title": "document_12",
"instructions": "Lorem ipsum dolor sit amet, consectetur ...",
"word_count": 200,
"word_count_rule": 0,
"keywords_repeat_count": 1,
"deliver_work_as_file": false,
"custom_data": {},
"plagiarism_analysis": {},
"written_words": 27,
"type": "standard",
"id": "61698aa58b81926d91c0e685",
"project_id": "61698aa58b81926d91c0e684",
"callback": {},
"reference": "TR-97E-94280-00000",
"ctype": "translation",
"keyword_list": "foo, bar, baz",
"satisfaction": 1,
"completion": 100,
"can_post_message_to_author": false,
"author_work": {
"factory_template_element9": "foo bar baz\nfoo bar baz"
},
"author_id": "61698aa68b81926d91c0e6d7",
"author_rating": 1,
"original_content": "foo bar",
"markup_in_content": false,
"created_at": {
"day": 15,
"month": 10,
"year": 2021,
"full": "2021-10-15 14:05:26 UTC"
},
"updated_at": {
"day": 15,
"month": 10,
"year": 2021,
"full": "2021-10-15 14:05:28 UTC"
},
"completed_at": {
"day": 15,
"month": 10,
"year": 2021,
"full": "2021-10-15 14:05:27 UTC"
}
}Code samples
Complete batch of documents
OAuth2 Bearer token authentication
The Project ID.
Satisfaction level. * positive * neutral (default) * negative
Message addressed to the Author.
Documents Completed
Unauthorized
Forbidden
POST /v1/clients/projects/{project_id}/batch/documents/complete HTTP/1.1
Host: api.textmaster.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 64
{
"documents": [
"text"
],
"satisfaction": "neutral",
"message": "text"
}{
"status": "ok"
}Code samples
Delete a document
OAuth2 Bearer token authentication
The Project ID.
The Document ID.
Document Deleted
^[a-z]{2}(-[a-z]{2})?$^[a-z]{2}(-[a-z]{2})?$Unauthorized
Forbidden
DELETE /v1/clients/projects/{project_id}/documents/{document_id} HTTP/1.1
Host: api.textmaster.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"language_from": "fr",
"language_to": "en",
"language_from_code": "fr-fr",
"language_to_code": "en-us",
"status": "in_creation",
"skip_copyscape": false,
"title": "document_11",
"instructions": "Lorem ipsum dolor sit amet, consectetur ...",
"word_count": 200,
"word_count_rule": 0,
"keywords_repeat_count": 1,
"deliver_work_as_file": false,
"custom_data": {},
"plagiarism_analysis": {},
"written_words": 0,
"type": "standard",
"id": "61698aa58b81926d91c0e64b",
"project_id": "61698aa48b81926d91c0e5fd",
"callback": {},
"reference": "TR-9F7-91411-691278",
"ctype": "proofreading",
"keyword_list": "foo, bar, baz",
"satisfaction": null,
"completion": 0,
"can_post_message_to_author": false,
"author_work": {},
"author_id": null,
"author_rating": 1,
"original_content": "test_content",
"markup_in_content": false,
"created_at": {
"day": 15,
"month": 10,
"year": 2021,
"full": "2021-10-15 14:05:25 UTC"
},
"updated_at": {
"day": 15,
"month": 10,
"year": 2021,
"full": "2021-10-15 14:05:25 UTC"
},
"completed_at": null
}Code samples
Last updated
Was this helpful?